*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  font-family: serif;
  font-size: 16px;
}

body {
  margin: 1rem auto;
  height: 100vh;
}

p {
  margin-top: 0.5rem;
}

main {
  display: flex;
  flex-flow: column nowrap;
  margin: 0 auto;
  /* height: 100vh; */
  width: 80%;
}

#colors {
  display: flex;
  flex-flow: column nowrap;
  margin-top: 1.5rem;
  gap: 1.5rem;
}

#preview,
#tiles {
  border: 1px dotted #ccc;
  position: relative;
  padding-top: 1.875rem;
}

#preview {
  height: 35vh;
  min-height: 6.25rem;
}

#tiles {
  display: flex;
  flex-flow: row wrap;
  flex: 1;
  justify-content: flex-start;
  align-items: flex-start;
  align-content: flex-start;
  gap: 5px;
  padding: 1.5625rem 0.9375rem;
  transition: opacity 500ms ease-in-out;
}

.tile {
  border: 1px solid #000;
  width: 1.875rem;
  height: 1.25rem;
  transition: background-color 250ms ease-in-out;
}

.caption {
  position: absolute;
  top: 0;
  left: -0.625rem;
  background-color: #fff;
  border: 1px dotted #000;
  padding: 0.25rem;
  transform: translateY(-50%);
}

.current-color,
.colors-generated {
  font-weight: bold;
}

.hidden {
  opacity: 0;
}
